Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.server.impl
Class ServerImpl

    java.lang.Object
      org.jboss.portal.server.impl.ServerImpl

All Implemented Interfaces:
  Server

    public class ServerImpl

extends java.lang.Object
implements Server

Should bootstrap the microcontainer in the (near) future.

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Constructor Summary
`ServerImpl()`

Method Summary
`ServerConfig` | `getConfig()` Returns the config of this server.
`org.jboss.portal.web.ServletContainer` | `getServletContainer()` Returns the servlet container context of the server.
`org.jboss.portal.web.ServletContainerFactory` | `getServletContainerFactory()`
`org.jboss.portal.common.util.Version` | `getVersion()` Return the server version.
`void` | `setConfig(ServerConfig config)`
`void` | `setServletContainerFactory(org.jboss.portal.web.ServletContainerFactory servletContainerFactory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerImpl

    public ServerImpl()

Method Detail

### getConfig

    public ServerConfig getConfig()

  Description copied from interface: `Server`
  Returns the config of this server.

  Specified by:
    `getConfig` in interface `Server`
  Returns:
    the config

### setConfig

    public void setConfig(ServerConfig config)

### getVersion

    public org.jboss.portal.common.util.Version getVersion()

  Description copied from interface: `Server`
  Return the server version.

  Specified by:
    `getVersion` in interface `Server`
  Returns:
    the version

### getServletContainerFactory

    public org.jboss.portal.web.ServletContainerFactory getServletContainerFactory()

### setServletContainerFactory

    public void setServletContainerFactory(org.jboss.portal.web.ServletContainerFactory servletContainerFactory)

### getServletContainer

    public org.jboss.portal.web.ServletContainer getServletContainer()

  Description copied from interface: `Server`
  Returns the servlet container context of the server.

  Specified by:
    `getServletContainer` in interface `Server`
  Returns:
    the servlet container context

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD